<?php

 namespace Drupal\okta_user_sync\Controller;


 use Drupal\user_provisioning\APIHandler\moUserProvisioningAPIHandler;
 use Drupal\user_provisioning\ProviderSpecific\ResponseProcessor\UserResponseProcessor;
 use Drupal\azure_ad\APIHandler\moAzureAPIHandler;
 use Drupal\Core\Ajax\AjaxResponse;
 use Drupal\Core\Ajax\OpenModalDialogCommand;
 use Drupal\Core\Config\Config;
 use Drupal\Core\Config\ImmutableConfig;
 use Drupal\Core\Controller\ControllerBase;
 use Drupal\Core\Form\FormBuilder;
 use Drupal\user_provisioning\moUserProvisioningConstants;
 use Drupal\user_provisioning\ProviderSpecific\EntityHandler\moUserProvisioningUserHandler;
 use Drupal\user_provisioning\SCIMParser\moUserProvisioningUserParser;
 use http\Env\Response;
 use Psr\Log\LoggerInterface;
 use Symfony\Component\DependencyInjection\ContainerInterface;
 use Drupal;


 class okta_user_syncController extends ControllerBase
{
  protected $formBuilder;

  /**
  * scim_clientController constructor.
  * @throws InvalidPluginDefinitionException
  * @throws PluginNotFoundException
  */

  public function __construct()
  {
    $this->formBuilder = Drupal::formBuilder();
  }

   // Ajax Response for Contact Us / Support Request form

   /**
    * @return AjaxResponse
    */
  public function openTrialRequestForm(): AjaxResponse
  {
    $response = new AjaxResponse();
    $modal_form = $this->formBuilder->getForm('\Drupal\okta_user_sync\Form\MoOktaRequestTrial');
    $response->addCommand(new OpenModalDialogCommand('Request 7-Days Full Feature Trial License', $modal_form, ['width' => '40%'] ) );
    return $response;
  }
   /**
    * @return AjaxResponse
    */
  public function openCustomerRequestForm(): AjaxResponse
  {
   $response = new AjaxResponse();
   $modal_form = $this->formBuilder->getForm('\Drupal\okta_user_sync\Form\MoOktaCustomerRequest');
   $response->addCommand(new OpenModalDialogCommand('Contact miniOrange Support', $modal_form, ['width' => '40%'] ) );
   return $response;
  }

//   public function openReviewForm(): AjaxResponse
//   {
//     $response = new AjaxResponse();
//     $modal_form = $this->formBuilder->getForm('\Drupal\okta_user_sync\Form\MoReviewOktaConfiguration');
//     $response->addCommand(new OpenModalDialogCommand('Request 7-Days Full Feature Trial License', $modal_form, ['width' => '60%'] ) );
//     return $response;
//   }
 }
